Module java.desktop
Package javax.swing

## Class JToolTip.AccessibleJToolTip

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Container.AccessibleAWTContainer
      - - javax.swing.JComponent.AccessibleJComponent
        - - javax.swing.JToolTip.AccessibleJToolTip

- All Implemented Interfaces:
    `Serializable`, `AccessibleComponent`, `AccessibleExtendedComponent`
  Enclosing class:
    JToolTip

      protected class JToolTip.AccessibleJToolTip
      extends JComponent.AccessibleJComponent

  This class implements accessibility support for the `JToolTip` class. It provides an implementation of the Java Accessibility API appropriate to tool tip user-interface elements.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class javax.swing.JComponent.AccessibleJComponent

      `JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

    - ### Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

      `Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

  - ### Field Summary

    - ### Fields declared in class javax.swing.JComponent.AccessibleJComponent

      `accessibleFocusHandler`

    - ### Fields declared in class java.awt.Container.AccessibleAWTContainer

      `accessibleContainerHandler`

    - ### Fields declared in class java.awt.Component.AccessibleAWTComponent

      `accessibleAWTComponentHandler, accessibleAWTFocusHandler`

    - ### Fields declared in class javax.accessibility.AccessibleContext

      `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AccessibleJToolTip()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessibleDescription()` | Get the accessible description of this object.
    `AccessibleRole` | `getAccessibleRole()` | Get the role of this object.

    - ### Methods declared in class javax.swing.JComponent.AccessibleJComponent

      `addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleKeyBinding, getAccessibleName, getAccessibleStateSet, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

    - ### Methods declared in class java.awt.Container.AccessibleAWTContainer

      `getAccessibleAt`

    - ### Methods declared in class java.awt.Component.AccessibleAWTComponent

      `addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

    - ### Methods declared in class javax.accessibility.AccessibleContext

      `firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.accessibility.AccessibleComponent

      `addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

- - ### Constructor Detail

    - #### AccessibleJToolTip

          protected AccessibleJToolTip()

  - ### Method Detail

    - #### getAccessibleDescription

          public String getAccessibleDescription()

      Get the accessible description of this object.
      Overrides:
        `getAccessibleDescription` in class `JComponent.AccessibleJComponent`
      Returns:
        a localized String describing this object.
      See Also:
        `AccessibleContext.setAccessibleDescription(java.lang.String)`

    - #### getAccessibleRole

          public AccessibleRole getAccessibleRole()

      Get the role of this object.
      Overrides:
        `getAccessibleRole` in class `JComponent.AccessibleJComponent`
      Returns:
        an instance of AccessibleRole describing the role of the object
      See Also:
        `AccessibleRole`